clear
cap log close

************************************
***Step 1: Set datafile directory -- INSERT FILE PATHS BELOW***
************************************

*STEP 1: SET DATA DIRECTORY
cd "\\...\Programmers\Jason\Dummy data project\Dummy Data" // Insert data directory on this line

*STEP 2: SET MASTER VARIABLE LIST
global MVL mvl_2020_20210916.xlsx // Insert MVL file name on this line


*STEP 3: SET DUMMY DATA (ALREADY MERGED OR SINGLE YEAR)
global DUMMY combined_dummydata.dta // Insert dummy data file path on this line



***************************************
***Import MVL -- INSERT FILE NAME FOR MVL BELOW***
***************************************

foreach a in ADULT TEEN CHILD {
import excel "$MVL", sheet("`a'") firstrow clear 

***Create list of variables selected in MVL***
gen dummy = 0
foreach var of varlist CHIS2020-CHIS2001 {
	replace dummy = 1 if `var' == "X"
}
drop if dummy != 1

tempfile `a'_prepd
save `a'_prepd, replace

}

use ADULT_prepd, clear
append using TEEN_prepd, force
append using CHILD_prepd, force

sort VARIABLENAME
quietly by VARIABLENAME: gen dup = cond(_N==1,0,_n)
drop if dup > 1

levelsof VARIABLENAME, local(variables)
foreach b of local variables {
	global usable_vars "$usable_vars `b'"
}

save variablelist, replace

********************************************************************************************
***Import single-year or merged dummy datasets***
********************************************************************************************

use "$DUMMY", clear 

***Keeps variables only available on MVL
keep BASEID year $usable_vars // remove "year" variable if only working with single-year data/do not have a year variable after merging multiple years of data

***************************************************************************************************
***Save final dataset to use for analysis***
***************************************************************************************************

save "prepared_dummy_data.dta", replace

